]> sourceware.org Git - systemtap.git/blame - testsuite/Makefile.in
2008-01-24 David Smith <dsmith@redhat.com>
[systemtap.git] / testsuite / Makefile.in
CommitLineData
5e0d2ebf 1# Makefile.in generated by automake 1.10 from Makefile.am.
814bc89d
FCE
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5e0d2ebf 5# 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
814bc89d
FCE
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
5ba96b90 17# Makefile.am --- automake input file for systemtap testsuite
814bc89d
FCE
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
814bc89d 22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
814bc89d
FCE
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
5ba96b90
FCE
34subdir = .
35DIST_COMMON = $(am__configure_deps) $(srcdir)/../install-sh \
36 $(srcdir)/../missing $(srcdir)/Makefile.am \
37 $(srcdir)/Makefile.in $(top_srcdir)/configure ../AUTHORS \
38 ../COPYING ../ChangeLog ../INSTALL ../NEWS ../README \
39 ../compile ../depcomp ../install-sh ../missing ChangeLog
814bc89d
FCE
40ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43 $(ACLOCAL_M4)
5ba96b90 44am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
5e0d2ebf 45 configure.lineno config.status.lineno
814bc89d 46mkinstalldirs = $(install_sh) -d
814bc89d
FCE
47CONFIG_CLEAN_FILES =
48SOURCES =
49DIST_SOURCES =
50DEJATOOL = $(PACKAGE)
51RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
52EXPECT = expect
814bc89d 53DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
5ba96b90
FCE
54distdir = $(PACKAGE)-$(VERSION)
55top_distdir = $(distdir)
56am__remove_distdir = \
57 { test ! -d $(distdir) \
58 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
59 && rm -fr $(distdir); }; }
60DIST_ARCHIVES = $(distdir).tar.gz
61GZIP_ENV = --best
62distuninstallcheck_listfiles = find . -type f -print
63distcleancheck_listfiles = find . -type f -print
814bc89d 64ACLOCAL = @ACLOCAL@
814bc89d
FCE
65AMTAR = @AMTAR@
66AUTOCONF = @AUTOCONF@
67AUTOHEADER = @AUTOHEADER@
68AUTOMAKE = @AUTOMAKE@
69AWK = @AWK@
814bc89d 70CYGPATH_W = @CYGPATH_W@
814bc89d 71DEFS = @DEFS@
814bc89d
FCE
72ECHO_C = @ECHO_C@
73ECHO_N = @ECHO_N@
74ECHO_T = @ECHO_T@
5e0d2ebf 75INSTALL = @INSTALL@
814bc89d
FCE
76INSTALL_DATA = @INSTALL_DATA@
77INSTALL_PROGRAM = @INSTALL_PROGRAM@
78INSTALL_SCRIPT = @INSTALL_SCRIPT@
79INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
814bc89d
FCE
80LIBOBJS = @LIBOBJS@
81LIBS = @LIBS@
814bc89d
FCE
82LTLIBOBJS = @LTLIBOBJS@
83MAINT = @MAINT@
814bc89d 84MAKEINFO = @MAKEINFO@
5e0d2ebf 85MKDIR_P = @MKDIR_P@
814bc89d
FCE
86PACKAGE = @PACKAGE@
87PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
88PACKAGE_NAME = @PACKAGE_NAME@
89PACKAGE_STRING = @PACKAGE_STRING@
90PACKAGE_TARNAME = @PACKAGE_TARNAME@
91PACKAGE_VERSION = @PACKAGE_VERSION@
92PATH_SEPARATOR = @PATH_SEPARATOR@
814bc89d
FCE
93SET_MAKE = @SET_MAKE@
94SHELL = @SHELL@
95STRIP = @STRIP@
814bc89d 96VERSION = @VERSION@
5e0d2ebf
DS
97abs_builddir = @abs_builddir@
98abs_srcdir = @abs_srcdir@
99abs_top_builddir = @abs_top_builddir@
100abs_top_srcdir = @abs_top_srcdir@
814bc89d 101am__leading_dot = @am__leading_dot@
814bc89d
FCE
102am__tar = @am__tar@
103am__untar = @am__untar@
104bindir = @bindir@
105build_alias = @build_alias@
5e0d2ebf 106builddir = @builddir@
814bc89d 107datadir = @datadir@
5e0d2ebf
DS
108datarootdir = @datarootdir@
109docdir = @docdir@
110dvidir = @dvidir@
814bc89d
FCE
111exec_prefix = @exec_prefix@
112host_alias = @host_alias@
5e0d2ebf 113htmldir = @htmldir@
814bc89d
FCE
114includedir = @includedir@
115infodir = @infodir@
116install_sh = @install_sh@
117libdir = @libdir@
118libexecdir = @libexecdir@
5e0d2ebf 119localedir = @localedir@
814bc89d
FCE
120localstatedir = @localstatedir@
121mandir = @mandir@
122mkdir_p = @mkdir_p@
123oldincludedir = @oldincludedir@
5e0d2ebf 124pdfdir = @pdfdir@
814bc89d
FCE
125prefix = @prefix@
126program_transform_name = @program_transform_name@
5e0d2ebf 127psdir = @psdir@
814bc89d
FCE
128sbindir = @sbindir@
129sharedstatedir = @sharedstatedir@
5e0d2ebf 130srcdir = @srcdir@
814bc89d
FCE
131sysconfdir = @sysconfdir@
132target_alias = @target_alias@
5e0d2ebf
DS
133top_builddir = @top_builddir@
134top_srcdir = @top_srcdir@
814bc89d 135AUTOMAKE_OPTIONS = dejagnu
5ba96b90 136SRCDIR = $(shell cd $(srcdir); pwd)
e872ae09
FCE
137EXTRA_DIST = config lib systemtap \
138 parseok parseko semok semko transok transko buildok buildok \
139 systemtap.syscall systemtap.stress systemtap.string \
140 systemtap.pass1-4 systemtap.samples systemtap.printf \
141 systemtap.maps systemtap.base
5ba96b90 142
e872ae09
FCE
143
144# $(srcdir)/These values point the test suite to the install tree, and
5ba96b90
FCE
145# are overridden by "make check" from full source/build tree
146SYSTEMTAP_RUNTIME = $(DESTDIR)$(pkgdatadir)/runtime
147SYSTEMTAP_TAPSET = $(DESTDIR)$(pkgdatadir)/tapset
148LD_LIBRARY_PATH = $(DESTDIR)$(libdir)/systemtap
149SYSTEMTAP_PATH = $(DESTDIR)$(bindir)
150RUNTEST = "env SYSTEMTAP_RUNTIME=$(SYSTEMTAP_RUNTIME) SYSTEMTAP_TAPSET=$(SYSTEMTAP_TAPSET) LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) PATH=$(SYSTEMTAP_PATH):$$PATH runtest"
814bc89d
FCE
151all: all-am
152
153.SUFFIXES:
5ba96b90
FCE
154am--refresh:
155 @:
814bc89d
FCE
156$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
157 @for dep in $?; do \
158 case '$(am__configure_deps)' in \
159 *$$dep*) \
5ba96b90
FCE
160 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
161 cd $(srcdir) && $(AUTOMAKE) --foreign \
814bc89d
FCE
162 && exit 0; \
163 exit 1;; \
164 esac; \
165 done; \
5ba96b90 166 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
814bc89d 167 cd $(top_srcdir) && \
5ba96b90 168 $(AUTOMAKE) --foreign Makefile
814bc89d
FCE
169.PRECIOUS: Makefile
170Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
171 @case '$?' in \
172 *config.status*) \
5ba96b90
FCE
173 echo ' $(SHELL) ./config.status'; \
174 $(SHELL) ./config.status;; \
814bc89d 175 *) \
5ba96b90
FCE
176 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
177 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
814bc89d
FCE
178 esac;
179
180$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
5ba96b90 181 $(SHELL) ./config.status --recheck
814bc89d
FCE
182
183$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
5ba96b90 184 cd $(srcdir) && $(AUTOCONF)
814bc89d 185$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
5ba96b90 186 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
814bc89d
FCE
187tags: TAGS
188TAGS:
189
190ctags: CTAGS
191CTAGS:
192
193
194check-DEJAGNU: site.exp
195 srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
196 EXPECT=$(EXPECT); export EXPECT; \
197 runtest=$(RUNTEST); \
198 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
5e0d2ebf
DS
199 exit_status=0; l='$(DEJATOOL)'; for tool in $$l; do \
200 if $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS); \
201 then :; else exit_status=1; fi; \
814bc89d
FCE
202 done; \
203 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
5e0d2ebf
DS
204 fi; \
205 exit $$exit_status
814bc89d
FCE
206site.exp: Makefile
207 @echo 'Making a new site.exp file...'
208 @echo '## these variables are automatically generated by make ##' >site.tmp
209 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
210 @echo '# edit the last section' >>site.tmp
211 @echo 'set srcdir $(srcdir)' >>site.tmp
212 @echo "set objdir `pwd`" >>site.tmp
213 @echo '## All variables above are generated by configure. Do Not Edit ##' >>site.tmp
214 @test ! -f site.exp || \
215 sed '1,/^## All variables above are.*##/ d' site.exp >> site.tmp
216 @-rm -f site.bak
217 @test ! -f site.exp || mv site.exp site.bak
218 @mv site.tmp site.exp
219
220distclean-DEJAGNU:
221 -rm -f site.exp site.bak
222 -l='$(DEJATOOL)'; for tool in $$l; do \
223 rm -f $$tool.sum $$tool.log; \
224 done
225
226distdir: $(DISTFILES)
5ba96b90 227 $(am__remove_distdir)
5e0d2ebf
DS
228 test -d $(distdir) || mkdir $(distdir)
229 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
230 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
231 list='$(DISTFILES)'; \
232 dist_files=`for file in $$list; do echo $$file; done | \
233 sed -e "s|^$$srcdirstrip/||;t" \
234 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
235 case $$dist_files in \
236 */*) $(MKDIR_P) `echo "$$dist_files" | \
237 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
238 sort -u` ;; \
239 esac; \
240 for file in $$dist_files; do \
814bc89d 241 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
814bc89d 242 if test -d $$d/$$file; then \
5e0d2ebf 243 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
814bc89d
FCE
244 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
245 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
246 fi; \
247 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
248 else \
249 test -f $(distdir)/$$file \
250 || cp -p $$d/$$file $(distdir)/$$file \
251 || exit 1; \
252 fi; \
253 done
5ba96b90
FCE
254 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
255 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
256 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
5e0d2ebf 257 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
5ba96b90
FCE
258 || chmod -R a+r $(distdir)
259dist-gzip: distdir
260 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
261 $(am__remove_distdir)
262
263dist-bzip2: distdir
264 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
265 $(am__remove_distdir)
266
267dist-tarZ: distdir
268 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
269 $(am__remove_distdir)
270
271dist-shar: distdir
272 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
273 $(am__remove_distdir)
274
275dist-zip: distdir
276 -rm -f $(distdir).zip
277 zip -rq $(distdir).zip $(distdir)
278 $(am__remove_distdir)
279
280dist dist-all: distdir
281 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
282 $(am__remove_distdir)
283
284# This target untars the dist file and tries a VPATH configuration. Then
285# it guarantees that the distribution is self-contained by making another
286# tarfile.
287distcheck: dist
288 case '$(DIST_ARCHIVES)' in \
289 *.tar.gz*) \
290 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
291 *.tar.bz2*) \
292 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
293 *.tar.Z*) \
294 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
295 *.shar.gz*) \
296 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
297 *.zip*) \
298 unzip $(distdir).zip ;;\
299 esac
300 chmod -R a-w $(distdir); chmod a+w $(distdir)
301 mkdir $(distdir)/_build
302 mkdir $(distdir)/_inst
303 chmod a-w $(distdir)
304 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
305 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
306 && cd $(distdir)/_build \
307 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
308 $(DISTCHECK_CONFIGURE_FLAGS) \
309 && $(MAKE) $(AM_MAKEFLAGS) \
310 && $(MAKE) $(AM_MAKEFLAGS) dvi \
311 && $(MAKE) $(AM_MAKEFLAGS) check \
312 && $(MAKE) $(AM_MAKEFLAGS) install \
313 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
314 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
315 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
316 distuninstallcheck \
317 && chmod -R a-w "$$dc_install_base" \
318 && ({ \
319 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
320 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
321 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
322 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
323 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
324 } || { rm -rf "$$dc_destdir"; exit 1; }) \
325 && rm -rf "$$dc_destdir" \
326 && $(MAKE) $(AM_MAKEFLAGS) dist \
327 && rm -rf $(DIST_ARCHIVES) \
328 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
329 $(am__remove_distdir)
330 @(echo "$(distdir) archives ready for distribution: "; \
331 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
5e0d2ebf 332 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
5ba96b90
FCE
333distuninstallcheck:
334 @cd $(distuninstallcheck_dir) \
335 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
336 || { echo "ERROR: files left after uninstall:" ; \
337 if test -n "$(DESTDIR)"; then \
338 echo " (check DESTDIR support)"; \
339 fi ; \
340 $(distuninstallcheck_listfiles) ; \
341 exit 1; } >&2
342distcleancheck: distclean
343 @if test '$(srcdir)' = . ; then \
344 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
345 exit 1 ; \
346 fi
347 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
348 || { echo "ERROR: files left in build directory after distclean:" ; \
349 $(distcleancheck_listfiles) ; \
350 exit 1; } >&2
814bc89d 351check-am: all-am
5ba96b90 352 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
814bc89d
FCE
353check: check-am
354all-am: Makefile all-local
355installdirs:
356install: install-am
357install-exec: install-exec-am
358install-data: install-data-am
359uninstall: uninstall-am
360
361install-am: all-am
362 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
363
364installcheck: installcheck-am
365install-strip:
366 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
367 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
368 `test -z '$(STRIP)' || \
369 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
370mostlyclean-generic:
371
372clean-generic:
373
374distclean-generic:
375 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
376
377maintainer-clean-generic:
378 @echo "This command is intended for maintainers to use"
379 @echo "it deletes files that may require special tools to rebuild."
380clean: clean-am
381
382clean-am: clean-generic clean-local mostlyclean-am
383
384distclean: distclean-am
5ba96b90 385 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
814bc89d
FCE
386 -rm -f Makefile
387distclean-am: clean-am distclean-DEJAGNU distclean-generic
388
389dvi: dvi-am
390
391dvi-am:
392
393html: html-am
394
395info: info-am
396
397info-am:
398
399install-data-am:
400
5e0d2ebf
DS
401install-dvi: install-dvi-am
402
814bc89d
FCE
403install-exec-am:
404
5e0d2ebf
DS
405install-html: install-html-am
406
814bc89d
FCE
407install-info: install-info-am
408
409install-man:
410
5e0d2ebf
DS
411install-pdf: install-pdf-am
412
413install-ps: install-ps-am
414
814bc89d
FCE
415installcheck-am: installcheck-local
416
417maintainer-clean: maintainer-clean-am
5ba96b90
FCE
418 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
419 -rm -rf $(top_srcdir)/autom4te.cache
814bc89d
FCE
420 -rm -f Makefile
421maintainer-clean-am: distclean-am maintainer-clean-generic
422
423mostlyclean: mostlyclean-am
424
425mostlyclean-am: mostlyclean-generic
426
427pdf: pdf-am
428
429pdf-am:
430
431ps: ps-am
432
433ps-am:
434
5e0d2ebf
DS
435uninstall-am:
436
437.MAKE: install-am install-strip
814bc89d 438
5ba96b90
FCE
439.PHONY: all all-am all-local am--refresh check check-DEJAGNU check-am \
440 clean clean-generic clean-local dist dist-all dist-bzip2 \
441 dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
442 distclean-DEJAGNU distclean-generic distcleancheck distdir \
443 distuninstallcheck dvi dvi-am html html-am info info-am \
5e0d2ebf
DS
444 install install-am install-data install-data-am install-dvi \
445 install-dvi-am install-exec install-exec-am install-html \
446 install-html-am install-info install-info-am install-man \
447 install-pdf install-pdf-am install-ps install-ps-am \
814bc89d
FCE
448 install-strip installcheck installcheck-am installcheck-local \
449 installdirs maintainer-clean maintainer-clean-generic \
450 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
5e0d2ebf 451 uninstall-am
814bc89d
FCE
452
453
454# The stap symlink is to enable "#! stap" test scripts.
455all-local:
5ba96b90 456 @echo Run \"make check\" or \"make installcheck\".
814bc89d
FCE
457
458clean-local:
2752649c 459 @rm -f ./stap site.exp systemtap.sum systemtap.log
3526e29e 460 @rm -rf .systemtap .cache_test
814bc89d 461
814bc89d 462installcheck-local: clean site.exp
5ba96b90 463 $(MAKE) AM_RUNTESTFLAGS="--tool_opts install" check-DEJAGNU
814bc89d
FCE
464# Tell versions [3.59,3.63) of GNU make to not export all variables.
465# Otherwise a system limit (for SysV at least) may be exceeded.
466.NOEXPORT:
This page took 0.088713 seconds and 5 git commands to generate.